Loading...
Searching...
No Matches
pcl::visualization::PointCloudColorHandlerHSVField< PointT > Class Template Reference
Module visualization

HSV handler class for colors. More...

`#include <pcl/visualization/point_cloud_color_handlers.h>`

Inheritance diagram for pcl::visualization::PointCloudColorHandlerHSVField< PointT >:

## Public Types

using | Ptr = shared_ptr<PointCloudColorHandlerHSVField<PointT> >
using | ConstPtr = shared_ptr<const PointCloudColorHandlerHSVField<PointT> >
Public Types inherited from pcl::visualization::PointCloudColorHandler< PointT >
using | PointCloud = pcl::PointCloud<PointT>
using | PointCloudPtr = typename PointCloud::Ptr
using | PointCloudConstPtr = typename PointCloud::ConstPtr
using | Ptr = shared_ptr<PointCloudColorHandler<PointT> >
using | ConstPtr = shared_ptr<const PointCloudColorHandler<PointT> >

## Public Member Functions

| PointCloudColorHandlerHSVField (const PointCloudConstPtr &cloud)
| Constructor.
virtual std::string | getFieldName () const
| Get the name of the field used.
vtkSmartPointer< vtkDataArray > | getColor () const override
| Obtain the actual color for the input dataset as a VTK data array.
Public Member Functions inherited from pcl::visualization::PointCloudColorHandler< PointT >
| PointCloudColorHandler ()
| Constructor.
| PointCloudColorHandler (const PointCloudConstPtr &cloud)
| Constructor.
virtual | ~PointCloudColorHandler ()=default
| Destructor.
bool | isCapable () const
| Check if this handler is capable of handling the input data or not.
virtual void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used.

## Protected Member Functions

virtual std::string | getName () const
| Class getName method.

## Protected Attributes

int | s_field_idx_
| The field index for "S".
int | v_field_idx_
| The field index for "V".
Protected Attributes inherited from pcl::visualization::PointCloudColorHandler< PointT >
PointCloudConstPtr | cloud_
| A pointer to the input dataset.
bool | capable_
| True if this handler is capable of handling the input data, false otherwise.
int | field_idx_
| The index of the field holding the data that represents the color.
std::vector< pcl::PCLPointField > | fields_
| The list of fields available for this PointCloud.

## Detailed Description

template<typename PointT>
class pcl::visualization::PointCloudColorHandlerHSVField< PointT >

HSV handler class for colors.

Uses the data present in the "h", "s", "v" fields as the color at each point.

Definition at line 299 of file point_cloud_color_handlers.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointT>

using pcl::visualization::PointCloudColorHandlerHSVField< PointT >::ConstPtr = shared_ptr<const PointCloudColorHandlerHSVField<PointT> >

Definition at line 307 of file point_cloud_color_handlers.h.

## Ptr

template<typename PointT>

using pcl::visualization::PointCloudColorHandlerHSVField< PointT >::Ptr = shared_ptr<PointCloudColorHandlerHSVField<PointT> >

Definition at line 306 of file point_cloud_color_handlers.h.

## Constructor & Destructor Documentation

## PointCloudColorHandlerHSVField()

template<typename PointT>

pcl::visualization::PointCloudColorHandlerHSVField< PointT >::PointCloudColorHandlerHSVField | ( | const PointCloudConstPtr & | cloud | ) |

Constructor.

Definition at line 200 of file point_cloud_color_handlers.hpp.

References pcl::visualization::PointCloudColorHandler< PointT >::capable_, pcl::visualization::PointCloudColorHandler< PointT >::field_idx_, pcl::visualization::PointCloudColorHandler< PointT >::fields_, pcl::getFieldIndex(), pcl::visualization::PointCloudColorHandler< PointT >::PointCloudColorHandler(), s_field_idx_, and v_field_idx_.

## Member Function Documentation

## getColor()

template<typename PointT>

vtkSmartPointer< vtkDataArray > pcl::visualization::PointCloudColorHandlerHSVField< PointT >::getColor | ( |  | ) | const

override virtual

Obtain the actual color for the input dataset as a VTK data array.

Deriving handlers should override this method.

Returns
  smart pointer to VTK array if the operation was successful (the handler is capable and the input cloud was given), a null pointer otherwise

Todo
  do this with the point_types_conversion in common, first template it!

Implements pcl::visualization::PointCloudColorHandler< PointT >.

Definition at line 231 of file point_cloud_color_handlers.hpp.

References pcl::visualization::PointCloudColorHandler< PointT >::capable_, pcl::visualization::PointCloudColorHandler< PointT >::cloud_, pcl::visualization::PointCloudColorHandler< PointT >::fields_, and pcl::isXYZFinite().

## getFieldName()

template<typename PointT>

virtual std::string pcl::visualization::PointCloudColorHandlerHSVField< PointT >::getFieldName | ( |  | ) | const

inline virtual

Get the name of the field used.

Implements pcl::visualization::PointCloudColorHandler< PointT >.

Definition at line 314 of file point_cloud_color_handlers.h.

## getName()

template<typename PointT>

virtual std::string pcl::visualization::PointCloudColorHandlerHSVField< PointT >::getName | ( |  | ) | const

inline protected virtual

Class getName method.

Implements pcl::visualization::PointCloudColorHandler< PointT >.

Definition at line 322 of file point_cloud_color_handlers.h.

## Member Data Documentation

## s_field_idx_

template<typename PointT>

int pcl::visualization::PointCloudColorHandlerHSVField< PointT >::s_field_idx_

protected

The field index for "S".

Definition at line 325 of file point_cloud_color_handlers.h.

Referenced by PointCloudColorHandlerHSVField().

## v_field_idx_

template<typename PointT>

int pcl::visualization::PointCloudColorHandlerHSVField< PointT >::v_field_idx_

protected

The field index for "V".

Definition at line 328 of file point_cloud_color_handlers.h.

Referenced by PointCloudColorHandlerHSVField().

The documentation for this class was generated from the following files:

- pcl/visualization/point_cloud_color_handlers.h
- pcl/visualization/impl/point_cloud_color_handlers.hpp